Clean up shell script remnants

All the cases in this system test have been converted to pytest, so
we can clean up the shell script remnants.

(cherry picked from commit 97b38a1fbc)
This commit is contained in:
Matthijs Mekking 2025-10-12 11:54:54 +02:00
parent 9379d4f1df
commit 58f7bbdf6c
2 changed files with 0 additions and 103 deletions

View file

@ -1,62 +0,0 @@
#!/bin/sh
# Copyright (C) Internet Systems Consortium, Inc. ("ISC")
#
# SPDX-License-Identifier: MPL-2.0
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, you can obtain one at https://mozilla.org/MPL/2.0/.
#
# See the COPYRIGHT file distributed with this work for additional
# information regarding copyright ownership.
set -e
# shellcheck source=conf.sh
. ../conf.sh
# shellcheck source=kasp.sh
. ../kasp.sh
dig_with_opts() {
$DIG +tcp +noadd +nosea +nostat +nocmd +dnssec -p $PORT "$@"
}
start_time="$(TZ=UTC date +%s)"
status=0
n=0
# Test to make sure no DNSSEC records end up in the raw journal.
no_dnssec_in_journal() {
n=$((n + 1))
ret=0
echo_i "check zone ${ZONE} raw journal has no DNSSEC ($n)"
$JOURNALPRINT "${DIR}/${ZONE}.db.jnl" >"${DIR}/${ZONE}.journal.out.test$n"
rrset_exists NSEC "${DIR}/${ZONE}.journal.out.test$n" && ret=1
rrset_exists NSEC3 "${DIR}/${ZONE}.journal.out.test$n" && ret=1
rrset_exists NSEC3PARAM "${DIR}/${ZONE}.journal.out.test$n" && ret=1
rrset_exists RRSIG "${DIR}/${ZONE}.journal.out.test$n" && ret= 1
test "$ret" -eq 0 || echo_i "failed"
status=$((status + ret))
}
# Check if a certain RRtype is present in the journal file.
rrset_exists() (
rrtype=$1
file=$2
lines=$(awk -v rt="${rrtype}" '$5 == rt {print}' ${file} | wc -l)
test "$lines" -gt 0
)
# Check that the CDNSKEY from both providers are published.
records_published() {
_rrtype=$1
_expect=$2
dig_with_opts "$ZONE" "@${SERVER}" "${_rrtype}" >"dig.out.$DIR.test$n" || return 1
lines=$(awk -v rt="${_rrtype}" '$4 == rt {print}' dig.out.$DIR.test$n | wc -l)
test "$lines" -eq "$_expect" || return 1
}
echo_i "exit status: $status"
[ $status -eq 0 ] || exit 1

View file

@ -1,41 +0,0 @@
# Copyright (C) Internet Systems Consortium, Inc. ("ISC")
#
# SPDX-License-Identifier: MPL-2.0
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, you can obtain one at https://mozilla.org/MPL/2.0/.
#
# See the COPYRIGHT file distributed with this work for additional
# information regarding copyright ownership.
import pytest
pytestmark = pytest.mark.extra_artifacts(
[
"*.created",
"cdnskey.ns*",
"cds.ns*",
"created.*",
"dig.out.*",
"rndc.dnssec.status.out.*",
"secondary.cdnskey.ns*",
"secondary.cds.ns*",
"unused.*",
"verify.out.*",
"ns*/K*",
"ns*/db-*",
"ns*/keygen.out.*",
"ns*/*.jbk",
"ns*/*.jnl",
"ns*/*.zsk",
"ns*/*.signed",
"ns*/*.journal.out.*",
"ns*/settime.out.*",
"ns*/model2.secondary.db",
]
)
def test_multisigner(run_tests_sh):
run_tests_sh()